Bug 460182 - Review Request: python-virtualenv - Tool to create isolated Python environments
Review Request: python-virtualenv - Tool to create isolated Python environments
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 519615 548877 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 12:59 EDT by Steve Milner
Modified: 2010-01-07 20:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 519615 (view as bug list)
Environment:
Last Closed: 2008-09-13 20:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Milner 2008-08-26 12:59:53 EDT
Spec URL: http://stevemilner.org/tmp/python-virtualenv.spec
SRPM URL: http://stevemilner.org/tmp/python-virtualenv-1.1-1.fc8.src.rpm
Description: 
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license.
Comment 1 Parag AN(पराग) 2008-08-28 04:34:55 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=789671 
koji build failed

suggestions:
1) remove inclusion of virtualenv.py twice
warning: File listed twice: /usr/lib/python2.5/site-packages/virtualenv.py
remove following line from spec
%attr(755,root,root) %{python_sitelib}/virtualenv.py

2) Use BuildRequires: python-setuptools-devel to build egginfo from source.
Comment 2 Steve Milner 2008-08-28 21:18:13 EDT
Updated:
http://www.stevemilner.org/tmp/python-virtualenv-1.1-2.fc9.src.rpm
http://www.stevemilner.org/tmp/python-virtualenv.spec

rpmlint output:
[steve@tachikoman SPECS]$ rpmlint /home/steve/rpmbuild/RPMS/noarch/python-virtualenv-1.1-2.fc9.noarch.rpm
python-virtualenv.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtualenv.py 0644
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
[steve@tachikoman SPECS]$ 

Verifying /usr/bin/virtualenv is there:
[steve@tachikoman SPECS]$ rpm -qpl /home/steve/rpmbuild/RPMS/noarch/python-virtualenv-1.1-2.fc9.noarch.rpm | grep bin
/usr/bin/virtualenv
[steve@tachikoman SPECS]$
Comment 3 Parag AN(पराग) 2008-08-29 04:28:44 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=792541
+ rpmlint is silent for SRPM but NOT for RPM.
python-virtualenv.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtualenv.py 0644
+ source files match upstream.
8931b66dbb799120583dd107aab2fa89  virtualenv-1.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:
1) from http://fedoraproject.org/wiki/Packaging/Python/Eggs#Upstream_Eggs
 drop file /usr/lib/python2.5/site-packages/support-files/setuptools-0.6c8-py2.5.egg from installing by adding line to %files
%exclude %{python_sitelib}/support-files

2) remove rpmlint warning using following command in %prep
sed -i -e "s|#!/usr/bin/env python||" virtualenv.py 

3) you really don't need "ls" in %build. Remove that.
Comment 6 Parag AN(पराग) 2008-08-31 04:47:02 EDT
koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=796292

APPROVED.
Comment 7 Steve Milner 2008-09-02 20:45:00 EDT
New Package CVS Request
=======================
Package Name: python-virtualenv
Short Description: a tool to create isolated Python environments
Owners: smilner
Branches: F-9, EL-5
Comment 8 Kevin Fenzi 2008-09-03 16:29:53 EDT
cvs done.
Comment 9 Parag AN(पराग) 2008-09-09 09:30:32 EDT
is this built on build server?
Comment 10 Steve Milner 2008-09-13 20:38:38 EDT
Just got back in town and built it in devel http://koji.fedoraproject.org/koji/taskinfo?taskID=824745
Comment 11 Peter Halliday 2009-08-28 08:42:33 EDT
*** Bug 519615 has been marked as a duplicate of this bug. ***
Comment 12 Thomas Spura 2010-01-07 20:31:35 EST
*** Bug 548877 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.